! Module for Power
Module work

integer n
real, allocatable :: A(:,:), A0(:,:), w0(:), z(:), z0(:)
real TOL, lnit

real lambda
real, allocatable :: val(:), vec(:,:)

integer ns
real, allocatable :: shift(:)

end module work
